Bug 631561 - [6.1 FEAT] Implement lsmem and chmem
Summary: [6.1 FEAT] Implement lsmem and chmem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.1
Hardware: s390x
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 659474
Blocks: 538808 580566
TreeView+ depends on / blocked
 
Reported: 2010-09-07 21:20 UTC by IBM Bug Proxy
Modified: 2011-05-19 13:17 UTC (History)
8 users (show)

Fixed In Version: s390utils-1.8.2-30.el6.src.rpm
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:17:23 UTC


Attachments (Terms of Use)
s390-tools-rhel6-lsmem-chmem.patch (18.48 KB, text/plain)
2010-12-01 11:51 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC
IBM Linux Technology Center 66881 None None None 2019-02-21 10:29:57 UTC

Description IBM Bug Proxy 2010-09-07 21:20:34 UTC
1. Feature Overview:
Feature Id: [66881]
a. Name of Feature: [6.1 FEAT] Implement lsmem and chmem
b. Feature Description
This feature provides the lsmem and chmem commands to manage memory hotplug. With lsmem, you can
display the online status of all available memory. With chmem, you can set memory online or offline.

The lsmem command lists the ranges of available memory with their online status. The listed memory
blocks correspond to the memory block representation in sysfs. The lsmem command also shows the
memory block size, the device size, and the amount of memory in online and offline state. 
The chmem command to set a particular size or range of memory online or offline

[For output use monospace font for proper display!]
lsmem sample output:
Range                                  Size (MB)  State    Removable  Device
===============================================================================
0x0000000000000000-0x000000000fffffff        256  online   no         0
0x0000000010000000-0x000000002fffffff        512  online   yes        1-2
0x0000000030000000-0x000000003fffffff        256  online   no         3
0x0000000040000000-0x000000006fffffff        768  online   yes        4-6
0x0000000070000000-0x00000000ffffffff       2304  offline  -          7-15

Memory device size  : 256 MB
Memory block size   : 256 MB
Total online memory : 1792 MB
Total offline memory: 2304 MB


2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: system management
Request Type: Package - Feature from IBM
d. Upstream Acceptance: Field does not exist
Sponsor Priority P1
f. Severity: ship issue
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
This tool will enhance the systems management/monitoring capabilities of customer's memory usage, by
using this very capable but at the same time low footprint tool, which will increase the customer
satisfaction.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

Comment 2 John Jarvis 2010-09-13 19:45:46 UTC
Is this a new package request?  If so, is the package already in Fedora?

Comment 3 Gonzalo Muelas Serrano 2010-09-14 09:18:44 UTC
Hello John,
this will be part of s390tools/utils and be provided as a backport to existing RHEL 6.0 version.
Unfortunately through the mirroring this information got lost. I have updated the component here directly.

Comment 4 IBM Bug Proxy 2010-10-04 15:28:23 UTC
------- Comment From rsisk@us.ibm.com 2010-10-04 10:36 EDT-------
Code Upstream Status: Accepted

Comment 6 IBM Bug Proxy 2010-12-01 11:51:00 UTC
Created attachment 463954 [details]
s390-tools-rhel6-lsmem-chmem.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2010-12-01 06:44 EDT-------


Summary:     lsmem/chmem: Tools to manage memory hotplug.
Description: With lsmem, you can display the online status of all available
             memory. With chmem, you can set memory online or offline.

Comment 8 John Jarvis 2010-12-01 15:02:25 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 10 John Jarvis 2010-12-01 17:08:27 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 14 IBM Bug Proxy 2011-03-28 18:26:01 UTC
------- Comment From mgrf@de.ibm.com 2011-03-28 14:13 EDT-------
This feature is verified on R 6.1 test deliverables - set to verified on IBM site

Comment 15 errata-xmlrpc 2011-05-19 13:17:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html

Comment 16 errata-xmlrpc 2011-05-19 13:17:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.